## jxtray
Class SQLHistoryEntry

    java.lang.Object
      jxtray.SQLHistoryEntry

public class SQLHistoryEntry
extends java.lang.Object

Constructor Summary
`SQLHistoryEntry()`
`SQLHistoryEntry(java.lang.String query, java.lang.String date, boolean state)`

Method Summary
`java.lang.String` `getDate()`
`boolean` `getLastState()`
`java.lang.String` `getQuery()`
`void` `setDate(java.lang.String date)`
`void` `setLastState(boolean state)`
`void` `setLastState(java.lang.String state)`
`void` `setQuery(java.lang.String query)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLHistoryEntry

    public SQLHistoryEntry()

### SQLHistoryEntry

    public SQLHistoryEntry(java.lang.String query,
                           java.lang.String date,
                           boolean state)

Method Detail

### setQuery

    public void setQuery(java.lang.String query)

### setDate

    public void setDate(java.lang.String date)

### setLastState

    public void setLastState(boolean state)

### setLastState

    public void setLastState(java.lang.String state)

### getLastState

    public boolean getLastState()

### getQuery

    public java.lang.String getQuery()

### getDate

    public java.lang.String getDate()